//https://developer.mozilla.org/en-US/docs/Code_snippets/Toolbar#Adding_button_by_default
/**
 * Installs the toolbar button with the given ID into the given
 * toolbar, if it is not already present in the document.
 *
 * @param {string} toolbarId The ID of the toolbar to install to.
 * @param {string} id The ID of the button to install.
 * @param {string} afterId The ID of the element to insert after. @optional
 */
function installButton(toolbarId, id, afterId) {
//    if (!document.getElementById(id)) {
        var toolbar = document.getElementById(toolbarId);
 
        // If no afterId is given, then append the item to the toolbar
        var before = null;
        if (afterId) {
            let elem = document.getElementById(afterId);
            if (elem && elem.parentNode == toolbar)
                before = elem.nextElementSibling;
        }
		toolbar.insertItem(id, before);
		toolbar.setAttribute("currentset", toolbar.currentSet);
		document.persist(toolbar.id, "currentset");

		if (toolbarId == "addon-bar")
			toolbar.collapsed = false;
//    }
}

var version = "2.16.2";
var prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
prefs = prefs.getBranch("extensions.ajustar.");

var firstRun;

if(prefs.getPrefType('firstrun')){
	firstRun = version != prefs.getCharPref("firstrun");
}
else
{
	firstRun = true;
}

if (firstRun) {
	prefs.setCharPref("firstrun",version);
    // The "addon-bar" is available since Firefox 4
    //installButton("addon-bar", "ajustar");
	window.addEventListener("load", function(){
		installButton("nav-bar", "ajustar-button","print-button");
	}, false);
}